package main

import "github.com/sirupsen/logrus"
import "github.com/sneak/sircd/sircd"
import "time"

func main() {
	var log = logrus.New()
	log.SetLevel(logrus.DebugLevel)
	log.Println("sircd starting up")
	s := sircd.NewSircd()
	s.SetServerName("irc.example.com")
	s.SetLogger(log)
	go s.Start()
	for s.Running {
		time.Sleep(1 * time.Second)
	}
}
